Rename
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"projectId": "<string>"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}"
payload = {
"title": "<string>",
"projectId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', projectId: '<string>'})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectId": "<string>",
"agentId": "<string>",
"title": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"currentRun": {
"id": "<string>",
"conversationId": "<string>",
"userMessageId": "<string>",
"assistantMessageId": "<string>",
"clientTurnId": "<string>",
"status": "<string>",
"stateVersion": 123,
"safeErrorCode": "<string>",
"cancellationRequestedAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"failedAt": "<string>",
"cancelledAt": "<string>",
"steps": [
{
"id": "<string>",
"kind": "<string>",
"status": "<string>",
"toolName": "<string>",
"progressPhase": "<string>",
"progressPercentage": 123,
"safeErrorCode": "<string>",
"stateVersion": 123
}
],
"retry": {
"classification": "retry_answer",
"executable": true,
"unavailableReason": "<string>"
}
}
}Assistant Conversations
Rename
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
assistant
/
conversations
/
{conversationId}
Rename
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Body
application/json
⌘I